hyphenation.format
Prev | Miscellaneous | Next

## hyphenation.format

`hyphenation.format` — Predefined formats to hyphenate

## Synopsis

          <xsl:param name="hyphenation.format">monoseq,sansseq</xsl:param>

## Description

This parameter replaces the parameter `monoseq.hyphenation` and its role is more general. It contains a comma separated list of the predefined inline formats that must be agressively hyphenated. It means that all the elements rendered with these formats are then hyphenated.

The predefined formats that can be hyphenated when contained in the list are:

monoseq

  Monospaced font.

sansseq

  Sans serif like font.

boldmonoseq

  Bold monospaced font.

italicmonoseq

  Italic monospaced font.

If one wants no hyphenation at all, he must set the parameter to "nohyphen". In this case dblatex tries to avoid overfull boxes (words in the margins) but keeps the words splittable only on their natural hyphenation points which can end up to no hyphenation at all for literal words like URLs or technical terms.

## See Also

`monoseq.hyphenation`

Prev | Up | Next
footnote.as.endnote | Home | linenumbering.scope